<?php
namespace SRVX\Utils;
class Compress {
  public static function Html(&$str) {
    // 删除 \n \r
    // 合并并删除多余空格
    // 去除<!-- --> \t 注释
    $str   = preg_replace(['/<!--((?!-->)[\s\S])+-->/', '\t'], ['', ' '], $str);
    // remove annotation from javascript, 先去除 <script> 中的 "//" 注释
    $str = self::removeHtmlSlashAnnotation($str);
    // 去除<script><style>中的/**/
    // $str = preg_match_all('/(> *([^ ]*) *<)/', $str, $match );
    $str = str_replace(["\r", "\n", "\t"], ['', '', ' '], $str);
    $str = preg_replace(["/> *([^ ]*) *</", "/[\s]+/", "/<!--[^!]*-->/", "'/\*[^*]*\*/'", "/\" /", "/ \"/"], ["> \\1<", ' ', '', '', '"', '"'], $str);
  }

  private static function removeHtmlSlashAnnotation($match) {
    is_array($match) && ($match = $match[1] . $match[3]);
    return preg_replace_callback('/([\s\S]+<script((?!\/\/[^\n]+)[\s\S])+)\/\/[^\n]+([\s\S]+)/', 'self::removeHtmlSlashAnnotation', $match);
  }

  private static function removeHtmlStarAnnotation($match) {
    is_array($match) && ($match = $match[1] . $match[3]);
    return preg_replace_callback('/([\s\S]+<script((?!\/\/[^\n]+)[\s\S])+)\/\/[^\n]+([\s\S]+)/', 'self::removeHtmlStarAnnotation', $match);
  }

  public static function t(&$str) {
    $str     = preg_replace('/(<script[^ ]*)([\n\s\t]\/\/[^\n]+)/', '\\1', $str);// remove js annotation
    $str     = str_replace(["\r", "\n", "\t"], ['', '', ' '], $str);
    $pattern = ["/> *([^ ]*) *</", "/[\s]+/", "/<!--[^!]*-->/", "'/\*[^*]*\*/'", "/\" /", "/ \"/",];
    $replace = ["> \\1<", ' ', '', '', '"', '"'];
    $str     = preg_replace($pattern, $replace, $str);
  }

  public static function Js(&$str) {
    $str = preg_replace(['/\/\*((?!\*\/)[\s\S])+\*\//', '/\/\/[^\n]+/'], ['', ''], $str);// remove  annotation
    // $str = preg_replace('/\)\s*\n/', '\);', $str); // add ";" after )
    $str = str_replace(["\r", "\n", "\t"], ['', '', ' '], $str);
    $str = preg_replace(['/\s+/', '/\s*([:;,().\]\[{}+~!-><@=?|])\s*/'], [' ', '\1'], $str);// only left one space & remove space
  }

  public static function Css(&$str) {
    $str = str_replace(["\r", "\n", "\t"], ['', '', ' '], $str);
    $str = preg_replace(['/\/\*((?!\*\/)[\s\S])+\*\//', '/\s+/', ' 0px', '/\s*([:;,().\]\[{}+~!-><@=?|])\s*/'], ['', ' ', ' 0', '\1'], $str);
  }
}